// Code generated by goa v3.12.1, DO NOT EDIT.
//
// infohub client
//
// Command:
// $ goa gen gitlab.eclipse.org/eclipse/xfsc/tsa/infohub/design

package infohub

import (
	"context"

	goa "goa.design/goa/v3/pkg"
)

// Client is the "infohub" service client.
type Client struct {
	ExportEndpoint goa.Endpoint
	ImportEndpoint goa.Endpoint
}

// NewClient initializes a "infohub" service client given the endpoints.
func NewClient(export, import_ goa.Endpoint) *Client {
	return &Client{
		ExportEndpoint: export,
		ImportEndpoint: import_,
	}
}

// Export calls the "Export" endpoint of the "infohub" service.
func (c *Client) Export(ctx context.Context, p *ExportRequest) (res any, err error) {
	var ires any
	ires, err = c.ExportEndpoint(ctx, p)
	if err != nil {
		return
	}
	return ires.(any), nil
}

// Import calls the "Import" endpoint of the "infohub" service.
func (c *Client) Import(ctx context.Context, p *ImportRequest) (res *ImportResult, err error) {
	var ires any
	ires, err = c.ImportEndpoint(ctx, p)
	if err != nil {
		return
	}
	return ires.(*ImportResult), nil
}
